<?
	/** Program służy do dodania nowego zadania, może być wykonana przez wykładowce lub operatora.
	 * @author Dariusz Działak
	 * @package XPWykladowca
	 */

	global $sess;

	if (($sess->isLoged("Wykl")) || ($sess->isLoged("Oper"))) {

		$numer = $_POST[numer];
		$nazwa = $_POST[nazwa];
		$url = $_POST[url];
		$zakres = $_POST[zakres];
		$poziom = $_POST[poziom];
		$zaj_id = $sess->get(w_zajecia);
		$id = $sess->get("id");


		$termin1 = "$_POST[year1]-$_POST[month1]-$_POST[day1] $_POST[time1]";

		if ($_POST[isdata2]=='on')
			$termin2 = "'$_POST[year2]-$_POST[month2]-$_POST[day2] $_POST[time2]'";
		else
			$termin2 = "NULL";
		$poblazanie = $_POST[poblazanie];


		$q=new CQuery("insert into XP_ZADANIE
			(numer_zad, zaj_cykli, autor, nazwa, link_url, zakres_spr, poziom_spr, utw_date, termin1, termin2)
				values
			('$numer', '$zaj_id', '$id', '$nazwa', '$url', '$zakres', '$poziom', '".date("Y-m-d G:i:s")."', '$termin1', $termin2);");


		$q = new CQuery("SELECT imie, nazwisko, z.id, numer_zad, nazwa, link_url
				FROM XP_ZADANIE z, XP_OSOBY o
				WHERE (zaj_cykli=$zaj_id AND autor=o.id);");
		while ($arr=$q->fetch_array()) {
			//$arr = $q->fetch_array();
			$zad = $sess->getTab(W_Pzadania, $arr[id]);
			$zad[1] = $arr[numer_zad];
			$zad[2] = $arr[nazwa];
			$zad[3] = $arr[link_url];
			$zad[4] = $arr[imie]." ".$arr[nazwisko];
			$sess->setTab(W_Pzadania, $arr[id], $zad);
		}

		$przedmiot = $sess->get(w_przedmiot_id);
	}
?>
